<form name="login" action="" method="get">
    <label for="email">Email</label>
    <input type="email" name="email" id="email" Required>
    <br><br>
    <label for="lcontrasenia">Contraseña</label>
    <input type="password" name="contrasenia" id="contrasenia" Required>
    <br><br>
    <input type="button" name="login" id="login" value=" Login">
</form>

<script>
    btnLogin.addEventListener('click', function () {
            let email = document.getElementById("lemail").value;
            let contrasena = document.getElementById("lcontrasena").value;
            for (let i = 0; i < usuarios.length; i++) {
                if(email === usuarios[i].email){
                    if(usuarios[i].contrasena === contrasena){
                        console.log(`Indice del array usuarios es: ${i}`);
                        document.getElementById('mensaje').innerHTML = "Login exitoso";
                        break;
                    }else{
                        console.log(`Contraseña incorrecta`);
                        document.getElementById('mensaje').innerHTML = "Contraseña incorrecta";
                    }
                }else{
                    document.getElementById('mensaje').innerHTML = `No se encontro en BBDD - Return ${false}`;
                    console.log(`no coincide email en BBDD`);
                    return false;
                    break;
                }
            }
        });

</script>